### Method

# ECal Component set_summary

since: 3.34

#### Declaration [src]

    void
    e_cal_component_set_summary (
      ECalComponent* comp,
      const ECalComponentText* summary
    )

#### Description [src]

Sets the summary of a calendar component object.

This also updates any alarm subcomponent descriptions, if needed.

Available since: 3.34

#### Parameters

`summary`

  Type: `ECalComponentText`

  Summary property and its parameters.

  The data is owned by the caller of the method.